package com.engine.salary.mapper.taxagent;

import com.engine.salary.entity.taxagent.po.TaxAgentBasePO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;


public interface TaxAgentBaseMapper {

	/**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
	List<TaxAgentBasePO> listAll();


	/**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
	TaxAgentBasePO getById(Long id);



	/**
	 * 条件查询
	 *
	 * @return 返回集合，没有返回空List
	 */
	List<TaxAgentBasePO> listSome(TaxAgentBasePO taxAgentBase);

	/**
     * 新增，忽略null字段
     *
     * @param taxAgentBase 新增的记录
     * @return 返回影响行数
     */
	int insertIgnoreNull(TaxAgentBasePO taxAgentBase);
	
	/**
     * 修改，修改所有字段
     *
     * @param taxAgentBase 修改的记录
     * @return 返回影响行数
     */
	int update(TaxAgentBasePO taxAgentBase);
	
	/**
     * 修改，忽略null字段
     *
     * @param taxAgentBase 修改的记录
     * @return 返回影响行数
     */
	int updateIgnoreNull(TaxAgentBasePO taxAgentBase);
	
	/**
     * 删除记录
     *
     * @param taxAgentBase 待删除的记录
     * @return 返回影响行数
     */
	int delete(TaxAgentBasePO taxAgentBase);
	
}